Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class ImplicitBindingCreator.BindingCreationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.inject.rebind.resolution.ImplicitBindingCreator.BindingCreationException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ImplicitBindingCreator

    public static class ImplicitBindingCreator.BindingCreationException

extends java.lang.Exception

Exception thrown to indicate an error occurred during binding creation.

See Also:
  Serialized Form

Constructor Summary
`ImplicitBindingCreator.BindingCreationException(java.lang.String msgFmt, java.lang.Object... args)` Create a new BindingCreationException using the given format string and arguments.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImplicitBindingCreator.BindingCreationException

    public ImplicitBindingCreator.BindingCreationException(java.lang.String msgFmt,
                                                           java.lang.Object... args)

  Create a new BindingCreationException using the given format string and arguments. Will create an exception with a message constructed with `String.format(msgFmt, args)`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD